Bug 439143 - dstat exits with traceback when invalid network device given
Summary: dstat exits with traceback when invalid network device given
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: dstat   
(Show other bugs)
Version: 8
Hardware: x86_64 Linux
medium
medium
Target Milestone: ---
Assignee: Radek Brich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-03-27 10:27 UTC by Milos Malik
Modified: 2008-04-17 03:47 UTC (History)
0 users

Fixed In Version: 0.6.7-2.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-17 03:47:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
a patch (663 bytes, patch)
2008-03-27 11:02 UTC, Radek Brich
no flags Details | Diff

Description Milos Malik 2008-03-27 10:27:40 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; cs-CZ; rv:1.8.1.13) Gecko/20080325 Fedora/2.0.0.13-1.fc8 Firefox/2.0.0.13

Description of problem:


Version-Release number of selected component (if applicable):
dstat-0.6.7-1

How reproducible:
Always


Steps to Reproduce:
1. dstat -i -I eth1 # choose a device which is not present on the machine


Actual Results:
interrupt

Traceback (most recent call last):
  File "/usr/bin/dstat", line 2041, in <module>
    main()
  File "/usr/bin/dstat", line 1986, in main
    o.extract()
  File "/usr/bin/dstat", line 866, in extract
    self.cn2['total'] = self.cn2['total'] + long(l[int(name) + 2])
UnboundLocalError: local variable 'name' referenced before assignment


Expected Results:
Empty lines in the output.

Additional info:

Comment 1 Radek Brich 2008-03-27 11:02:12 UTC
Created attachment 299302 [details]
a patch

fixes bad indentation which caused the traceback

Comment 2 Radek Brich 2008-03-27 14:21:24 UTC
(In reply to comment #1)
> Created an attachment (id=299302) [edit]
> a patch
> 
> fixes bad indentation which caused the traceback

This bug is now better fixed by patch for bug #439146.

Comment 3 Fedora Update System 2008-04-01 21:32:50 UTC
dstat-0.6.7-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dstat'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-2816

Comment 4 Fedora Update System 2008-04-17 03:47:56 UTC
dstat-0.6.7-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.